import { Lang } from "@/constants/languages"

export default function SkipToMainContent({ lang }: { lang: Lang }) {
  let message = "Skip to main content"

  switch (lang) {
    case Lang.de:
      message = "Direkt zum Inhalt"
      break
    case Lang.sv:
      message = "Fortsätt till huvudinnehåll"
      break
    case Lang.da:
      message = "Spring over og gå til hovedindhold"
      break
    case Lang.no:
      message = "Gå videre til hovedsiden"
      break
    case Lang.fi:
      message = "Siirry pääsisältöön"
      break
  }

  return (
    <div className="navigation--skip-to-content">
      <a data-js="skip-to-content" href="#maincontent">
        {message}
      </a>
    </div>
  )
}
